cURL
curl -X GET "https://app.cotool.ai/api/detections/:id/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detections/{id}/alert-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detections/{id}/alert-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detections/{id}/alert-routing")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/alert-routing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Get detection alert routing
Return a detection agent alert routing override and effective routing setting.
GET
/
api
/
detections
/
{id}
/
alert-routing
cURL
curl -X GET "https://app.cotool.ai/api/detections/:id/alert-routing" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detections/{id}/alert-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detections/{id}/alert-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detections/{id}/alert-routing")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/alert-routing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"override": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"effective": {
"detectionAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseAgentName": "<string>",
"inheritedDefaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inheritedDefaultResponseAgentName": "<string>"
},
"defaultSettings": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultResponseAgentName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"responseAgents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Detection agent id
Was this page helpful?
⌘I